<?php
namespace Claromentis\People\Controller\Rest;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_79bd8706" . "0993ff622" . "ef212c1e8" . "b6a79a" => base64_decode("Rm9yYm" . "lkZGVu"), "_aad7e0f9751cf" . "3656148019b0a0" . "8288a" => base64_decode("RXh0cmFuZXQgZGVsZXR" . "lZA=="), "_c894747360c6ec5bd8169530" . "eaf9c473" => base64_decode("QmFkIFJlcXVl" . "c3Q="), "_15f5f162efaff2443798e5c" . "fc813b02b" => base64_decode("Tm90I" . "GZvdW" . "5k"), "messa" . "ge" => base64_decode("bWVzc2F" . "nZQ=="), "_a4a1018258adabb74e" . "7b04836d8d7e3b" => base64_decode("Tm90IE" . "ZvdW5k"), "_7f628626d" . "d1d55c71b1" . "fc0932ffd1" . "d2c" => base64_decode("aXNfYXJyY" . "Xk="), "_3efc5ba7bf51ca709" . "07f5e65ab602ec1" => base64_decode("SW50ZXJuYWwg" . "U2VydmVyIEVy" . "cm9y"), "_3b1fb2e9f34bda2f59863606f440" . "af60" => base64_decode("QW4gdW5leHBlY3RlZCBlcnJvciBvY2N1" . "cnJlZA=="), "extranet_" . "id" => base64_decode("ZXh0cmFuZXRfaW" . "Q="), "_921fbf4c866d" . "ff55f6a4cab0c" . "7be03ff" => base64_decode("bmV3X2" . "V4dHJh" . "bmV0X2" . "lk"));
use Analogue\ORM\EntityCollection;
use Analogue\ORM\Exceptions\MappingException;
use Claromentis\Core\CDN\CDNSystemException;
use Claromentis\Core\Http\JsonPrettyResponse;
use Claromentis\Core\Localization\Lmsg;
use Claromentis\Core\Security\Exception\AccessDeniedException;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\People\Exception\NotFoundException;
use Claromentis\People\Exception\PermissionException;
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Filter\ExtranetFilter;
use Claromentis\People\Filter\UserFilter;
use Claromentis\People\RestFormatter;
use Claromentis\People\UseCase\CreateExtranet;
use Claromentis\People\UseCase\DeleteExtranet;
use Claromentis\People\UseCase\GetExtranet;
use Claromentis\People\UseCase\GetExtranets;
use Claromentis\People\UseCase\GetExtranetUsers;
use Claromentis\People\UseCase\GetPrimaryExtranet;
use Claromentis\People\UseCase\SetExtranetUsers;
use Claromentis\People\UseCase\UpdateExtranet;
use InvalidArgumentException;
use Psr\Http\Message\ServerRequestInterface;
use RestExAuth;
use RestExBadRequest;
use RestExError;
use RestExForbidden;
use RestExNotFound;
class ExtranetController extends AbstractController
{
    
    
    
    
    protected $formatter;
    public function __construct(RestFormatter $format, Lmsg $lmsg)
    {
        $this->formatter = $format;
        $this->lmsg = $lmsg;
    }
    
    
    
    
    
    
    
    
    
    public function GetList(GetExtranets $get_extranets, ServerRequestInterface $request, SecurityContext $context)
    {
        try {
            $_03e9164d0a343b742df4793268b80767 = new ExtranetFilter($context);
            $_03e9164d0a343b742df4793268b80767->Fill($this->formatter->GetRequestParams($request, $_03e9164d0a343b742df4793268b80767->GetDefaults()));
            [$_de506ef02d80cb87213a2bb0db0a70fc, $total] = $get_extranets->GetExtranets($_03e9164d0a343b742df4793268b80767);
            return new JsonPrettyResponse($this->formatter->Paginate($request, $this->formatter->FormatExtranets($_de506ef02d80cb87213a2bb0db0a70fc, $_03e9164d0a343b742df4793268b80767), $_03e9164d0a343b742df4793268b80767->GetChanged(), $total));
        } catch (InvalidArgumentException $exception) {
            throw new RestExBadRequest($exception->getMessage(), $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c894747360c6ec" . "5bd8169530eaf9c" . "473"], $exception);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOne(SecurityContext $context, ServerRequestInterface $request, GetExtranet $get_extranet, $extranet_id) : JsonPrettyResponse
    {
        try {
            $_9a2ef4ae6a5745ffe5fac33c88a222fa = $get_extranet->GetExtranet($context, $extranet_id);
            $_03e9164d0a343b742df4793268b80767 = new ExtranetFilter($context);
            $_03e9164d0a343b742df4793268b80767->Fill($this->formatter->GetRequestParams($request, $_03e9164d0a343b742df4793268b80767->GetDefaults()));
            return new JsonPrettyResponse($this->formatter->FormatExtranet($_9a2ef4ae6a5745ffe5fac33c88a222fa, $_03e9164d0a343b742df4793268b80767));
        } catch (InvalidArgumentException $e) {
            throw new RestExBadRequest($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_c894747360c6ec5bd8169530eaf9c" . "473"], $e);
        } catch (ValidationException $e) {
            return $this->formatter->FormatValidationException($e);
        } catch (NotFoundException $e) {
            throw new RestExNotFound($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_15f5f162efaff24437" . "98e5cfc813b02b"], $e);
        } catch (AccessDeniedException $e) {
            throw $this->GetAuthException($context, $e);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Post(CreateExtranet $create_extranet, ServerRequestInterface $request, SecurityContext $context) : JsonPrettyResponse
    {
        try {
            $params = $this->formatter->GetJson($request);
            if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c"]($params)) {
                $params = [];
            }
            $_9a2ef4ae6a5745ffe5fac33c88a222fa = $create_extranet->CreateExtranet($context, $params);
            return new JsonPrettyResponse($this->formatter->FormatExtranet($_9a2ef4ae6a5745ffe5fac33c88a222fa), 201);
        } catch (ValidationException $e) {
            return $this->formatter->FormatValidationException($e);
        } catch (PermissionException $e) {
            throw new RestExForbidden($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_79bd870" . "60993ff6" . "22ef212c" . "1e8b6a79" . "a"], $e);
        } catch (NotFoundException $e) {
            throw new RestExNotFound($e->getMessage(), $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a4a1018258adabb74e" . "7b04836d8d7e3b"], $e);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Put(UpdateExtranet $update_extranet, ServerRequestInterface $request, SecurityContext $context, int $extranet_id) : JsonPrettyResponse
    {
        try {
            $_91dc1dd3b98a0196c76dbe68e619aa89 = 200;
            $params = $this->formatter->GetJson($request);
            $_9a2ef4ae6a5745ffe5fac33c88a222fa = $update_extranet->UpdateExtranet($context, $extranet_id, $params);
            $response = $this->formatter->FormatExtranet($_9a2ef4ae6a5745ffe5fac33c88a222fa);
        } catch (ValidationException $e) {
            return $this->formatter->FormatValidationException($e);
        } catch (NotFoundException $e) {
            throw new RestExNotFound($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_15f5f162efaff24" . "43798e5cfc813b02" . "b"], $e);
        } catch (PermissionException $e) {
            throw $this->GetAuthException($context, $e);
        }
        return new JsonPrettyResponse($response, $_91dc1dd3b98a0196c76dbe68e619aa89);
    }
    
    
    
    
    
    
    
    
    
    
    public function GetUsers(GetExtranetUsers $extranet_users, SecurityContext $context, ServerRequestInterface $request, int $extranet_id)
    {
        try {
            $_03e9164d0a343b742df4793268b80767 = new UserFilter($context);
            $_03e9164d0a343b742df4793268b80767->Fill($this->formatter->GetRequestParams($request, $_03e9164d0a343b742df4793268b80767->GetDefaults()));
            
            
            [$_e4543e131c67c631b14751cc849d1310, $total] = $extranet_users->GetUsers($_03e9164d0a343b742df4793268b80767, $extranet_id);
            return new JsonPrettyResponse($this->formatter->Paginate($request, $this->formatter->FormatUsers($_e4543e131c67c631b14751cc849d1310, $_03e9164d0a343b742df4793268b80767), $_03e9164d0a343b742df4793268b80767->GetChangedWithout([$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["extr" . "anet" . "_id"]]), $total));
        } catch (InvalidArgumentException $e) {
            throw new RestExBadRequest($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c894747360c6ec5bd8169530eaf" . "9c473"], $e);
        } catch (ValidationException $e) {
            return $this->formatter->FormatValidationException($e);
        } catch (NotFoundException $e) {
            throw new RestExNotFound($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a4a1018258adabb7" . "4e7b04836d8d7e3b"], $e);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function PutUsers(SetExtranetUsers $extranet_users, SecurityContext $context, ServerRequestInterface $request, int $extranet_id) : JsonPrettyResponse
    {
        try {
            $_17247f55ce15f647f57c3ef8bb3a474a = $this->formatter->PluckRequestIds($request);
            $_e4543e131c67c631b14751cc849d1310 = $extranet_users->UpdateExtranetUsers($context, $extranet_id, $_17247f55ce15f647f57c3ef8bb3a474a);
            return new JsonPrettyResponse($this->formatter->FormatUsers($_e4543e131c67c631b14751cc849d1310));
        } catch (ValidationException $e) {
            return $this->formatter->FormatValidationException($e);
        } catch (AccessDeniedException $e) {
            throw $this->GetAuthException($context, $e);
        } catch (NotFoundException $e) {
            throw new RestExNotFound($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_15f5f162efaff2443798e5cfc813b" . "02b"], $e);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Delete(DeleteExtranet $delete_extranet, SecurityContext $context, ServerRequestInterface $request, $extranet_id) : JsonPrettyResponse
    {
        try {
            $_ed5f03d686c37933b5943f295c6b4a43 = $request->getQueryParams();
            $delete_extranet->delete($context, $extranet_id, $_ed5f03d686c37933b5943f295c6b4a43[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_921fbf4" . "c866dff5" . "5f6a4cab" . "0c7be03f" . "f"]] ?? null);
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["messag" . "e"] => $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aad7e0f9751cf3656148019b0a08" . "288a"]]);
        } catch (ValidationException $e) {
            return $this->formatter->FormatValidationException($e);
        } catch (AccessDeniedException $e) {
            throw $this->GetAuthException($context, $e);
        } catch (NotFoundException $e) {
            throw new RestExNotFound($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_15f5f162efaff24437" . "98e5cfc813b02b"], $e);
        }
    }
    
    
    
    
    
    
    
    
    
    public function GetPrimary(SecurityContext $context, GetPrimaryExtranet $get_primary_extranet)
    {
        try {
            $_9a2ef4ae6a5745ffe5fac33c88a222fa = $get_primary_extranet->GetPrimaryExtranet($context);
            return new JsonPrettyResponse($this->formatter->FormatExtranet($_9a2ef4ae6a5745ffe5fac33c88a222fa));
        } catch (PermissionException $e) {
            throw new RestExForbidden($e->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_79bd8706099" . "3ff622ef212c" . "1e8b6a79a"], $e);
        } catch (CDNSystemException $e) {
            throw new RestExError($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_3b1fb2e9f34bda2f598" . "63606f440af60"], 500, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3efc5ba7bf51ca7090" . "7f5e65ab602ec1"], $e);
        }
    }
}